# Mantel correlograms for PAReTT article ####
## Load Library ####
library(vegan)

## Clock gene ####
Clock_Divs <- as.matrix(Clock_Divs)
Clock_Gen <- as.matrix(Clock_Gen)
Clock_Tax <- as.matrix(Clock_Tax)

Mantel0 <- mantel(Clock_Gen, Clock_Divs, method = 'spearman')
summary(Mantel0)
Mantel0

Mantel1 <- mantel.correlog(Clock_Gen, Clock_Divs, XY=NULL, n.class=0, 
                cutoff=FALSE, r.type = "spearman", nperm=100)
summary(Mantel1)
Mantel1
plot(Mantel1) + title(main = 'Divergence time vs. Genetic distance (Fst) Gene 1')


## Adcyap1 gene ####
Adcyap_Divs <- as.matrix(Adcyap_Divs)
Adcyap_Gen <- as.matrix(Adcyap_Gen)

Mantel2 <- mantel(Adcyap_Gen, Adcyap_Divs, method = 'spearman')
summary(Mantel2)
Mantel2

Mantel3 <- mantel.correlog(Adcyap_Gen, Adcyap_Divs, XY=NULL, n.class=0, 
                           cutoff=FALSE, r.type = "spearman", nperm=100)
summary(Mantel3)
Mantel3
Adcyap_correl <- plot(Mantel3) + title(main = 'Divergence time vs. Genetic distance (Fst) Gene 2')

